oCoreoCore Docs
API Reference

Test Suites

Trigger test run

Triggers a manual test run for a suite on the environment. Returns 202 Accepted.

POST
/environments/{envId}/test-runs

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Request Body

application/jsonRequired

Test suite to run

test_suite_idstring

Path Parameters

envIdRequiredstring

Environment ID (UUID)

curl -X POST "//api.ocore.dev/api/environments/<string>/test-runs" \
  -H "Authorization: <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "test_suite_id": "string"
  }'

Accepted

{}

List test suites

Returns all test suites for the specified environment.

GET
/environments/{envId}/test-suites

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Path Parameters

envIdRequiredstring

Environment ID (UUID)

curl -X GET "//api.ocore.dev/api/environments/<string>/test-suites" \
  -H "Authorization: <token>"

OK

[
  {}
]

Create test suite

Creates a new test suite for the specified environment.

POST
/environments/{envId}/test-suites

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Request Body

application/jsonRequired

Test suite creation payload

bodyRequiredobject

Path Parameters

envIdRequiredstring

Environment ID (UUID)

curl -X POST "//api.ocore.dev/api/environments/<string>/test-suites" \
  -H "Authorization: <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

Created

{}

Export test suite config

Exports all test suite configurations for the environment as a JSON file download.

GET
/environments/{envId}/test-suites/export

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Path Parameters

envIdRequiredstring

Environment ID (UUID)

curl -X GET "//api.ocore.dev/api/environments/<string>/test-suites/export" \
  -H "Authorization: <token>"

OK

"string"

Import test suite config

Imports test suite configurations from a JSON payload into the environment.

POST
/environments/{envId}/test-suites/import

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Request Body

application/jsonRequired

JSON test suite configuration to import

bodyRequiredobject

Path Parameters

envIdRequiredstring

Environment ID (UUID)

curl -X POST "//api.ocore.dev/api/environments/<string>/test-suites/import" \
  -H "Authorization: <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

OK

{
  "message": "string"
}

Get test suite

Returns a test suite by ID.

GET
/test-suites/{suiteId}

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Path Parameters

suiteIdRequiredstring

Test Suite ID (UUID)

curl -X GET "//api.ocore.dev/api/test-suites/<string>" \
  -H "Authorization: <token>"

OK

{}

Delete test suite

Deletes a test suite by ID.

DELETE
/test-suites/{suiteId}

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Path Parameters

suiteIdRequiredstring

Test Suite ID (UUID)

curl -X DELETE "//api.ocore.dev/api/test-suites/<string>" \
  -H "Authorization: <token>"

No Content

Update test suite

Updates an existing test suite by ID.

PUT
/test-suites/{suiteId}

Authorization

Authorization<token>

JWT Bearer token (format: Bearer {token})

In: header

Request Body

application/jsonRequired

Test suite update payload

bodyRequiredobject

Path Parameters

suiteIdRequiredstring

Test Suite ID (UUID)

curl -X PUT "//api.ocore.dev/api/test-suites/<string>" \
  -H "Authorization: <token>" \
  -H "Content-Type: application/json" \
  -d '{}'

OK

{}

Was this page helpful?